summaryrefslogtreecommitdiff
path: root/tests/mv/into-self-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/into-self-2')
-rwxr-xr-xtests/mv/into-self-232
1 files changed, 8 insertions, 24 deletions
diff --git a/tests/mv/into-self-2 b/tests/mv/into-self-2
index 961d470de..3e92c6404 100755
--- a/tests/mv/into-self-2
+++ b/tests/mv/into-self-2
@@ -3,7 +3,7 @@
# Consider the case where SRC and DEST are on different
# partitions and DEST is a symlink to SRC.
-# Copyright (C) 1998, 1999, 200 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 200, 007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,33 +23,18 @@ if test "$VERBOSE" = yes; then
mv --version
fi
-. $srcdir/../other-fs-tmpdir
-. $srcdir/../envvar-check
-
-if test -z "$other_partition_tmpdir"; then
- exit 77
-fi
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+cleanup_() { rm -rf "$other_partition_tmpdir"; }
+. "$abs_top_srcdir/tests/other-fs-tmpdir"
file="$other_partition_tmpdir/file"
symlink=symlink
fail=0
-trap 'rm -fr out out2 exp $file $symlink $other_partition_tmpdir; exit $fail' \
- 0 1 2 3 15
-
-framework_failure=0
-rm -f $file $symlink || framework_failure=1
-echo whatever > $file || framework_failure=1
-ln -s $file $symlink || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
-
-# Make sure we get English translations.
-. $srcdir/../lang-default
+echo whatever > $file || framework_failure
+ln -s $file $symlink || framework_failure
# This mv command should exit nonzero.
mv $symlink $file > out 2>&1 && fail=1
@@ -68,7 +53,6 @@ XXX: `ZZZ' and `YYY' are the same file
EOF
#'
-cmp out2 exp || fail=1
-test $fail = 1 && diff out2 exp 2> /dev/null
+compare out2 exp || fail=1
exit $fail